Subject: bug#18082: closed (Re: bug#18082: 'guix system reconfigure' fails to install grub from standalone guix)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Jul 2014 22:53:04 +0000

Your bug report

#18082: 'guix system reconfigure' fails to install grub from standalone guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18082: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18082
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18082: 'guix system reconfigure' fails to install grub from standalone guix
From: Mark H Weaver <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Wed, 23 Jul 2014 18:51:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> populating /etc from /gnu/store/89dn636ibbc2dy8wqaz30ck3dcli44jk-etc...
>> setting up setuid programs in '/run/setuid-programs'...
>> making '/gnu/store/qfacd34rj6v8b9mi21qx9mj3lkq3c2pg-system' the current system...
>>
>> ;;; (path "/gnu/store/l5815c2iars8scdy82grfjjmxv9ahgv2-shadow-4.1.5.1/sbin")
>> In execvp of grub-install: No such file or directory
>
> OK, commit 720ee24 should bring us one step closer.  Could you check?

'guix system reconfigure' now works.
I'm closing this bug.

   Thanks! :)
     Mark

Subject: 'guix system reconfigure' fails to install grub from standalone guix
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Tue, 22 Jul 2014 13:01:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I built guix from git master from within a standalone guix install.  I
then tried to run 'pre-inst-env guix system reconfigure' using the same
OS configuration, and it failed to install grub.

The error message said "failed to install GRUB on device '/dev/sda'",
which indicates that 'install-grub' raised an exception.

     Mark